# Module: WpItem::Output — Documentation by YARD 0.8.6.1

Class List Method List File List

# Module: WpItem::Output

Included in:
  WpItem
Defined in:
  lib/common/models/wp_item/output.rb

## Instance Method Summary (collapse)

- - (Void) output

## Instance Method Details

### - (`Void`) output

Returns:

- (`Void`)

    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21

    # File 'lib/common/models/wp_item/output.rb', line 7

    def output
      puts
      puts " | Name: #{self}" #this will also output the version number if detected
      puts " | Location: #{url}"
      #puts " | WordPress: #{wordpress_url}" if wordpress_org_item?
      puts ' | Directory listing enabled: Yes' if has_directory_listing?
      puts " | Readme: #{readme_url}" if has_readme?
      puts " | Changelog: #{changelog_url}" if has_changelog?

      vulnerabilities.output

      if has_error_log?
        puts ' | ' + red('[!]') + " An error_log file has been found : #{error_log_url}"
      end
    end